Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lsmp.djep.groupJep.values
Class AlgebraicExtensionElement

    java.lang.Object
      java.lang.Number
          org.lsmp.djep.groupJep.values.Polynomial
              org.lsmp.djep.groupJep.values.FreeGroupElement
                  org.lsmp.djep.groupJep.values.AlgebraicExtensionElement

All Implemented Interfaces:
  java.io.Serializable, HasComplexValueI

    public class AlgebraicExtensionElement

extends FreeGroupElement

An element of the algrabraic extension K(t). a0 + a1 t + a(n-1) t^(n-1) where t is defined to be the the solution of a polynomial equation.

Author:
  Rich Morris Created on 09-Mar-2004
See Also:
  `AlgebraicExtension`, Serialized Form

Constructor Summary
`AlgebraicExtensionElement(AlgebraicExtension K, java.lang.Number[] coeffs)` An element of the algebraic extension K(t).

Method Summary
`protected Polynomial` | `valueOf(java.lang.Number[] lcoeffs)` sub classes should overwrite this to make the correct type.

Methods inherited from class org.lsmp.djep.groupJep.values.FreeGroupElement
`getComplexValue`

Methods inherited from class org.lsmp.djep.groupJep.values.Polynomial
`add, calculateComplexValue, calculateValue, div, doubleValue, equals, floatValue, getBaseRing, getCoeff, getCoeffs, getDegree, getSymbol, intValue, isConstantPoly, longValue, mul, pow, setCoeffs, sub, toString`

Methods inherited from class java.lang.Number
`byteValue, shortValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AlgebraicExtensionElement

    public AlgebraicExtensionElement(AlgebraicExtension K,
                                     java.lang.Number[] coeffs)

  An element of the algebraic extension K(t). a0 + a1 t + a(n-1) t^(n-1) where t is defined to be the the solution of a polynomial equation. If the degree of the polynomial specified by coeffs is greater than n then the polynomial will be reduced by using the equation t^n = .....

  Parameters:
    `K` - the algebraic extension.
    `coeffs` - array of coefficients for this algebraic number. c0 + c1 t + ... + cn t^n

Method Detail

### valueOf

    protected Polynomial valueOf(java.lang.Number[] lcoeffs)

  sub classes should overwrite this to make the correct type.

  Overrides:
    `valueOf` in class `FreeGroupElement`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems